org.deidentifier.arx

## Enum DataScale

- java.lang.Object
- - java.lang.Enum<DataScale>
  - - org.deidentifier.arx.DataScale

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DataScale>

    public enum DataScale
    extends java.lang.Enum<DataScale>
    implements java.io.Serializable

This class represents different scales of measure. Note that the order of entries in this enum is important.

Author:
  Fabian Prasser, Florian Kohlmayer

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INTERVAL`
`NOMINAL`
`ORDINAL`
`RATIO`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `provides(DataScale other)` Returns whether this scale provides at least the properties of the given scale.
`java.lang.String` `toString()`
`static DataScale` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DataScale[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOMINAL

    public static final DataScale NOMINAL

#### ORDINAL

    public static final DataScale ORDINAL

#### INTERVAL

    public static final DataScale INTERVAL

#### RATIO

    public static final DataScale RATIO

### Method Detail

#### values

    public static DataScale[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DataScale c : DataScale.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DataScale valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### provides

    public boolean provides(DataScale other)

Returns whether this scale provides at least the properties of the given scale.

Parameters:
  `other` -
Returns:

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<DataScale>`